## dpkg 1.18.10ubuntu2

=== debian/changelog ===
dpkg (1.18.10ubuntu2) zesty; urgency=medium

  * Cherry-pick patch from git to limit preallocation to files over
    16KiB, fixing installation performance regression (LP: #1663749)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 10 Apr 2017 04:08:19 -0600
