## dpkg 1.18.14~bpo8+1

=== debian/changelog ===
dpkg (1.18.14~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Guillem Jover <guillem@debian.org>  Tue, 15 Nov 2016 11:51:49 +0000

dpkg (1.18.14) unstable; urgency=medium

  [ Guillem Jover ]
  * Improve PIE flags support:
    - Rename the spec name cc1_options to self_spec.
      Suggested by James Clarke <jrtc27@jrtc27.com>
    - Do not set PIE options if they have been negated, and do not reset
      them if they have been requested.
    Closes: #843791, #843826
  * Fix use after free error in dpkg. It was trying to print messages that
    had already been freed as part of the database memory pool, causing in
    some cases segfaults when reporting the error summary at the end.
    Regression introduced in dpkg 1.18.11. Closes: #843874
  * Change default color behavior to auto.
  * Perl modules:
    - Fix confusing date parse error message in Dpkg::Changelog::Entry::Debian
      when the date contains “May”. Closes: #843829
      Thanks to Nishanth Aravamudan <nish.aravamudan@canonical.com>.
    - New module Dpkg::Build::Info module refactored from dpkg-genbuildinfo.
      Requested by Johannes Schauer <josch@debian.org>.
  * Documentation:
    - Improve the DEB_BUILD_OPTIONS description in dpkg-buildpackage(1).
      And mention the parallel option there.
    - Explicitly mention in dpkg-buildpackage(1) that setting the number
      of parallel jobs to 1, restores the serial behavior.
      Prompted by Thorsten Glaser <t.glaser@tarent.de>.
  * Packaging:
    - List public Dpkg::Control::Tests module in libdpkg-perl description.
  * Test suite:
    - Do not fail tests on missing fakeroot, just skip them.
  * Build system:
    - Fix inversion logic in libmd configure check when requested explicitly.
    - Do not consider the compressor libraries available in configure if the
      headers are not usable.
    - Fix DPKG_BUILD_RELEASE_DATE to require DPKG_PROG_PERL, as it uses perl.
    - Change DPKG_BUILD_RELEASE_DATE to use perl instead of date(1) to
      format the timestamp, as the former is more portable.

  [ Updated man pages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Fri, 11 Nov 2016 02:26:08 +0100

dpkg (1.18.13) unstable; urgency=medium

  * Improve PIE flags support:
    - Retroactively document in the changelog that PIE is enabled by default
      on all supported architectures regardless of gcc doing so itself on a
      subset of them.
    - When emitting PIE flags on architectures where gcc does not inject
      those itself, do it via a specs file too, so that maintainers can
      use them unconditionally regardless of the object being compiled
      or linked.
    - When injecting -no-pie for linking via the gcc specs file also
      inject -fno-PIE.
    - Update the documentation.
  * Perl modules:
    - Do not try to load non-files in Dpkg::Dist::Files load_dir method.
      Fixes test failures on non-Linux architectures. Closes: #843436
  * Packaging:
    - Add missing Breaks on old libdpkg-perl to dpkg. Closes: #843429
      Thanks to Sven Joachim <svenjoac@gmx.de>.
    - Ship deb-src-files(5) man page in dpkg-dev.
  * Build system:
    - Use deterministic dates for generated man pages. Closes: #843469
      Thanks to Reiner Herrmann <reiner@reiner-h.de>.

 -- Guillem Jover <guillem@debian.org>  Mon, 07 Nov 2016 03:28:42 +0100

dpkg (1.18.12) unstable; urgency=medium

  * Build system:
    - Set umask to 0022 for functional test suite.
  * Documentation:
    - Rename FILE FORMATS section to FILES in dpkg-source(1).
    - Use "dpkg suite" as the manual item in man pages .TH macro.
    - Use %VERSION% in dpkg-statoverride(1) source item in man page .TH macro.
    - Document environment variables used by source format modules in
      dpkg-source(1).

 -- Guillem Jover <guillem@debian.org>  Sun, 06 Nov 2016 05:36:20 +0100

dpkg (1.18.11) unstable; urgency=medium

  [ Guillem Jover ]
  * Make dpkg-maintscript-helper conffile commands more robust. Check that
    conffile pathname arguments are absolute paths and verify version number
    to be valid. Thanks to David Kalnischkies <david@kalnischkies.de>.
  * Add support to dpkg-scanpackages for scanning a single binary file.
    Thanks to Javier Serrano Polo <javier@jasp.net>. Closes: #833964
  * Obsolete dpkg-deb bzip2 and lzma compression methods by emitting errors.
  * Remove obsolete dpkg-deb --old and --new options.
  * Remove obsolete dpkg --print-installation-architecture option.
  * Fix dpkg error messages when parsing md5sum files to include the package
    name affected.
  * Do not emit epochs for unambiguous versions in deb-split package header.
    Regression introduced in dpkg 1.18.0.
  * Make the deb-split(5) generation in dpkg-split reproducible, by using the
    timestamp from SOURCE_DATE_EPOCH.
  * Generate reproducible file modes for the .deb control member contents.
    Closes: #787980
  * Switch from non-freeing malloc to m_malloc on statdb slurping.
  * Switch from non-freeing malloc to m_malloc for invoke hooks.
  * Always reset the package in-core database when shutting down the package
    database journal.
  * Do not crash if we pass a NULL cip argument to setaction() in libdpkg.
  * Shutdown the package database journal in dpkg --get-selections.
  * Fix (deactivated) dpkg --command-fd to initialize and reset the files
    database on each action.
  * Implement source stanza substvars prefixed with S: in dpkg-gencontrol.
    These auto-generated variables map each source stanza field into an
    output substvar prefixed with “S:”.
  * Make dpkg-source generate reproducible source packages when run
    standalone, by honoring SOURCE_DATE_EPOCH.
  * Fix several short-lived memory leaks in update-alternatives.
    Reported by Helmut Grohne <helmut@subdivi.de>.
  * Only set the error context message in libdpkg if it has been formatted
    correctly.

