## dpkg 1.18.15~bpo8+1

=== debian/changelog ===
dpkg (1.18.15~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Guillem Jover <guillem@debian.org>  Thu, 17 Nov 2016 20:53:12 +0000

dpkg (1.18.15) unstable; urgency=medium

  [ Guillem Jover ]
  * Improve PIE flags support:
    - Do not enable PIE when linking static programs. glibc-based systems
      do not support this combination and produce very bogus output.
      Proposed by Szabolcs Nagy <nsz@port70.net>. Closes: #843714
  * On source builds add 'source' to the Architecture field in the
    .buildinfo file in dpkg-genbuildinfo.
  * Add new Build-Date field to .buildinfo files.
  * Generate deterministic .buildinfo filenames in dpkg-genbuildinfo,
    following the same pattern as used for .changes files.
  * Bump .buildinfo Format to version 0.2.
  * Change dpkg-buildpackage -j and -J on “auto” mode to fallback to serial
    execution when we cannot infer the number of online processors on
    unsupported or exotic systems. This should be a safer mode of operation.
    Proposed by Simon McVittie <smcv@debian.org>.
  * Only preallocate disk size in dpkg for unpacked files bigger than 16 KiB.
    Closes: #824636
  * Perl modules:
    - Validate architecture arguments in Dpkg::Deps deps_parse().
      Prompted by Johannes Schauer <josch@debian.org>.
  * Documentation:
    - Escape dashes in field names in dpkg-buildinfo(1).
  * Test suite:
    - Mark partially documented POD modules as TAP TODO.

  [ Updated man pages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Wed, 16 Nov 2016 03:28:05 +0100
