## dpkg 1.18.18

=== debian/changelog ===
dpkg (1.18.18) unstable; urgency=medium

  [ Guillem Jover ]
  * Documentation:
    - Document DPKG_DATADIR in an ENVIRONMENT section in dpkg-architecture(1).
    - Add a rationale for the purpose of Testsuite-Triggers in dsc(5).
      Prompted by Mattia Rizzolo <mattia@debian.org>.
  * Packaging:
    - Revert the perl to perl:any dependency change in libdpkg-perl, as that
      breaks debootstrap in stable (jessie), testing (stretch) and unstable,
      which do not support arch-qualified dependencies. We'll have to live
      with the Multi-Arch hinter being unhappy for now.

  [ Updated man pages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Tue, 20 Dec 2016 13:53:12 +0100

dpkg (1.18.17) unstable; urgency=medium

  [ Guillem Jover ]
  * Handle empty versions on validation in dpkg-maintscript-helper as they
    are optional. Regression introduced in dpkg 1.18.16. Closes: #848422
  * Validate versions too in dpkg-maintscript-helper symlink_to_dir and
    dir_to_symlink commands.
  * Improve logic to identify packages owning a library in dpkg-shlibdeps,
    by handling the same library appearing more than once on the filesystem
    Thanks to Raphaël Hertzog <hertzog@debian.org>. Closes: #843073
  * Documentation:
    - Clarify that dpkg-buildpackage does not run «dpkg-source --before-build»
      when using the -T option. Closes: #649531
    - Document that dpkg sets DPKG_ADMINDIR on maintainer script environment.
  * Packaging:
    - Do not let dh_perl insert a dependency for libdpkg-perl, because it
      emits perl instead of perl:any. Instead hardcode a perl:any dependency
      to comply with the perl policy and make the Multi-Arch hinter happy.

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated man pages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Mon, 19 Dec 2016 02:43:10 +0100

dpkg (1.18.16) unstable; urgency=medium

  [ Guillem Jover ]
  * Add support for specifying multiple targets on «dpkg-buildpackage -T»
    which will be run successively. Closes: #671074
  * Reject empty upstream versions in C and perl code. These are not permitted
    by deb-version(5), but the code was letting those through.
  * Use lzma_cputhreads() instead of sysconf(_SC_NPROCESSORS_ONLN) as the
    former is way more portable.
  * Automatically decrease xz encoder threads to try to not exceed available
    memory limits. This should alleviated the insane requirements of memory
    needed on 32-bit architectures with many cores, which results in more
    than the userspace addressable memory, when using settings such as
    -z9 and/or -Sextreme in dpkg-deb. Closes: #846564
  * Add new dpkg --validate-<thing> commands to validate the syntax of
    various <thing>s, where the current list is «pkgname», «trigname»,
    «archname» and «version».
  * Use the new dpkg --validate-version command in dpkg-maintscript-helper,
    instead of abusing the --compare-versions command to perform version
    validation. Closes: #844701
  * Allow readlink(2) to return a size smaller than stat(2) in dpkg. Some
    bogus filesystems do not return the actual symlink size in st_size,
    which contradicts POSIX. But allowing the case where the returned size
    is smaller than the one used to allocate memory is harmless, although
    suspect. Let it through, but still print a warning so that users can
    install stuff but are reminded they need to get a fixed filesystem in
    place. This has affected at least ecryptfs in the past and now
    file-based encryption support in ext4 on Android N.
  * Add new dpkg-query virtual field source:Upstream-Version. Closes: #844348
  * Perl modules:
    - Whitelist DPKG_GENSYMBOLS_CHECK_LEVEL, DPKG_ROOT, DPKG_ADMINDIR and
      DPKG_DATADIR environment variables in Dpkg::Build::Info.
  * Documentation:
    - State the current working directory used when running dpkg-buildpackage
      hooks.
    - Add a new ENVIRONMENT section to dpkg-gensymbols(1) and document
      DPKG_GENSYMBOLS_CHECK_LEVEL there.
    - Fix bogus description of --force-confmiss in dpkg(1). Regression
      introduced in 1.16.4. Reported by Sven Joachim <svenjoac@gmx.de>.
      Closes: #846395
    - Update dpkg-parsechangelog parser options. The options specific to
      the changelog parser program did not get updated when the parser got
      switched to be a perl module. Missed in dpkg 1.18.8.
  * Build system:
    - Enable compression libs also in automatic check mode in configure.
    - Honor DPKG_DATADIR again in the installed Dpkg modules. This was an
      explicit public interface, documented in the man page.

  [ Updated programs translations ]
  * Dutch (Frans Spiesschaert). Closes: #848378
  * Simplified Chinese (Zhou Mo). Closes: #844955

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).
  * Swedish (Martin Bagge). Closes: #847220

  [ Updated man pages translations ]
  * Dutch (Frans Spiesschaert). Closes: #848379
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Sat, 17 Dec 2016 00:25:53 +0100
