## dpkg 1.18.22

=== debian/changelog ===
dpkg (1.18.22) unstable; urgency=medium

  [ Guillem Jover ]
  * Turn status file parser errors on bogus field blank lines into warnings,
    otherwise the system cannot be easily recovered from. Regression
    introduced in dpkg 1.16.1. Reported by Jay Freeman <saurik@saurik.com>.
  * Perl modules:
    - Mask ARM ABI bits in the ELF processor flags in Dpkg::Shlibs::Objdump.
      These are too unreliable to be used for exact matching. Closes: #853793

  [ Updated programs translations ]
  * Turkish (Mert Dirik). Closes: #853202

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Wed, 01 Feb 2017 05:48:58 +0100

dpkg (1.18.21) unstable; urgency=medium

  [ Guillem Jover ]
  * Revert "Generate Testsuite-Restrictions fields from the test restrictions
    in dpkg-source into .dsc files". This change is contentious and should
    have been discussed more widely. Given that this has been live only for
    a couple of days, the impact should be minimal, but still something to
    take into account once and if this gets reintroduced. Closes: #852820
  * Perl modules:
    - Map alternative or old ELF machine types to canonical ones. We need
      those to match on the encoded ABI, otherwise dpkg-shlibdeps will not
      be able to find the objects.

  [ Updated man pages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Sun, 29 Jan 2017 20:29:58 +0100

dpkg (1.18.20) unstable; urgency=medium

  [ Guillem Jover ]
  * Add a new --no-sign option to dpkg-buildpackage, to make it possible to
    disable all signing in a future-proof way.
  * Make dpkg-buildpackage --unsigned-changes not sign .buildinfo either.
    This breaks the expectations of users and tools, because there was no
    way previously to request no signing at all. Closes: #852822
  * Perl modules:
    - Mask the machine bits for SH and MIPS in the ELF processor flags in
      Dpkg::Shlibs::Objdump. These do not define the ABI, and make the
      objects not match when they should, when looking for shared libraries
      from dpkg-shlibdeps.
    - Encode the ELF ABI as a big-endian byte stream, so that decoding for
      output gives meaningful results.
    - Disable the NFS-unsafe warning on Linux, as using flock() on NFS has
      been safe for some time now. Addresses: #677865 (on Linux)
  * Documentation:
    - Document the Built-For-Profile field in deb-changes(5).

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated man pages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Jan 2017 06:32:53 +0100

dpkg (1.18.19) unstable; urgency=medium

  [ Guillem Jover ]
  * Stop emitting Built-For-Profiles from dpkg-gencontrol. The information
    is already provided in .buildinfo and .changes files, and including it
    in the binary packages makes them unreproducible even when the profile
    used would not alter its contents. Closes: #831524
  * Do not allow empty epochs and revisions in versions. When there's at
    least one colon or one dash, we should expect epoch and revision numbers.
  * Always set SOURCE_DATE_EPOCH in dpkg-buildpackage and dpkg-source. Use
    the current date if the changelog does not have one. Closes: #849081
  * Refactor update-alternatives pathname existence check into a new function.
  * Avoid useless repeated lstat()s in update-alternatives.
  * Only check for debian/tests/control file once in dpkg-source.
  * Generate Testsuite-Restrictions fields from the test restrictions in
    dpkg-source into .dsc files. Closes: #847926
    Based on a patch by Iain Lane <laney@debian.org>.
  * Improve the ELF ABI mismatch detector in dpkg-shlibdeps, by parsing the
    ELF header ourselves. While still not perfect (things like linux-i386 and
    hurd-i386 will still match), it will filter lots of previously matching
    objects that should have been ignored, and will work even when objdump
    does not know about the specific object details. Closes: #849913
  * Add initial support for DEB_BUILD_OPTIONS to dpkg-genbuildinfo. This will
    make it possible to enable or disable specific features that should be
    recorded in the .buildinfo file. For now only “all” and “path” are
    supported. Closes: #848705
  * Add again the architecture from the filename to .changes files for any
    artifact with one. This reverts the change introduced in dpkg 1.18.11.
  * Fold the filtering and checksumming of files to distribute in a .changes
    file in dpkg-genchanges into the initial loop. This way we do not include
    architectures for artifacts we are not going to distribute, and do not
    unnecessarily recompute the checksums for artifacts like the sources.
  * Do not compute the architecture list twice in dpkg-genchanges.
  * Include .buildinfo files also for source-only uploads in dpkg-genchanges.
    Closes: #846164
  * Fix check for expected number of binary artifacts in dpkg-genchanges, to
    only take into account the artifacts that we are distributing.
  * Fix parsing of Pre-Depends and Depends in dpkg-genbuildinfo, so that
    the code parses both and not just the first to appear in the stanza.
    Based on a patch by Johannes Schauer <josch@debian.org>.
  * Add support for signed .buildinfo files to dpkg-buildpackage. Add new
    -ui and --unsigned-buildinfo options. Closes: #843925
  * Portability:
    - On GNU/Hurd try to use the new process executable name attribute from
      libps, to properly match on start-stop-daemon --exec.
  * Perl modules:
    - Fix Debian architecture wildcard parsing so that matching four-tuple
      matchings work. Missed in dpkg 1.18.11.
      Reported by Julian Andres Klode <jak@debian.org>.
    - Add new import tags for Dpkg::Arch.
    - Abort on EOF in patch name prompt in Dpkg::Source::Package::V2,
      instead of getting into an infinite loop. Closes: #851441

