## dpkg 1.18.23mx15+1

=== debian/changelog ===
dpkg (1.18.23mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 06 Apr 2017 18:42:52 -0700
