## dpkg 1.18.24ubuntu1

=== debian/changelog ===
dpkg (1.18.24ubuntu1) artful; urgency=medium

  * Merge from current Debian testing; remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
  * scripts/Dpkg/Vendor/Ubuntu.pm: Drop hardening changes merged upstream.
  * dpkg-buildpackage: Drop stale debian/files cleaning, solved differently.


 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Jun 2017 11:35:51 -0600

dpkg (1.18.23ubuntu7) artful; urgency=medium

  * scripts/Dpkg/Vendor/Debian.pm: Re-enable PIE on all architectures.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 09 May 2017 23:48:36 -0600

dpkg (1.18.23ubuntu6) artful; urgency=medium

  * dpkg-buildpackage: Move debian/files test and removal to after clean.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 09 May 2017 23:45:31 -0600

dpkg (1.18.23ubuntu5) artful; urgency=medium

  * dpkg-buildpackage: Remove stale debian/files during initialisation.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 09 May 2017 22:05:49 -0600

dpkg (1.18.23ubuntu4) artful; urgency=medium

  * dpkg-genchanges: Add buildinfo files to changes now that LP is fixed.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Apr 2017 12:00:18 -0600

dpkg (1.18.23ubuntu3) artful; urgency=medium

  * dpkg-gencontrol: Fix Package-Type override handling (LP: #1623256)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Apr 2017 20:51:40 -0600

dpkg (1.18.23ubuntu2) artful; urgency=medium

  * dpkg-genchanges: Don't add buildinfo files to the changes file.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Apr 2017 19:43:01 -0600

dpkg (1.18.23ubuntu1) artful; urgency=medium

  * Merge from Debian (LP: #1654905, #1652945); remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
  * scripts/Dpkg/Vendor/Ubuntu.pm: Drop obsolete hardening-wrapper control.
  * scripts/Dpkg/Vendor/Debian.pm: Adjust PIE builtin architecture list.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 19 Apr 2017 10:28:59 -0600
