## dpkg 1.18.26

=== debian/changelog ===
dpkg (1.18.26) stretch-security; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::Source::Archive: Prevent directory traversal for in-place extracts.
      Reported by Max Justicz <max@justi.cz>. Fixes CVE-2022-1664.
    - Document textdomain() and ngettext() replacement functions in
      Dpkg::Gettext POD.

  [ Updated man pages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Tue, 24 May 2022 15:28:43 +0200
